AC_DEFUN([AB_STLFILTER],
[
AC_ARG_ENABLE(
        STL-Filter,
        AC_HELP_STRING([--enable-STL-Filter], [Use C++ STL and template filter (default off)]),
        ac_gstlfilt=$enableval,
        ac_gstlfilt=no)

if test "x$ac_gstlfilt" = xyes; then
   AC_CHECK_FILE($srcdir/config/gfilt.in, ac_gstlfilt=yes, ac_gstlfilt=no)
   if test "x$ac_gstlfilt" = xyes; then
     $SED -e "s,%GFILTCXX%,$CXX," < $srcdir/config/gfilt.in > $ac_pwd/config/gfilt
     chmod 755 config/gfilt
     AC_SUBST(GFILTCXX, $CXX)
     AC_SUBST(CXX, $ac_pwd/config/gfilt)
   fi
#   AM_CONDITIONAL(HAVE_GSTLFILT, test x$ac_gstlfilt = xyes)
fi
])

